HaruAnnotation::setBorderStyle
HaruAnnotation::setIcon
HaruAnnotation
PHP Manual

# HaruAnnotation::setHighlightMode

Set the highlighting mode of the annotation

### Description

bool HaruAnnotation::setHighlightMode ( int `$mode` )

Defines the appearance of the annotation when clicked. This function may be used with link annotations only.

### Parameters

`mode`

  The highlighting mode of the annotation. Can take only these values:

  - `HaruAnnotation::NO_HIGHLIGHT` - no highlighting.
  - `HaruAnnotation::INVERT_BOX` - invert the contents of the annotation.
  - `HaruAnnotation::INVERT_BORDER` - invert the border of the annotation.
  - `HaruAnnotation::DOWN_APPEARANCE` - dent the annotation.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.